%define major 7
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define libname_old %mklibname Xaw3d %{major}
%define develname_old %mklibname Xaw3d -d

%define upstream_name Xaw3d

Summary:	A version of the MIT Athena widget set for X
Name:		xaw3d
Version:	1.5E
Release:	%mkrel 16
Group:		System/Libraries
BuildRequires:	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:	libxmu-devel
BuildRequires:	libxt-devel
BuildRequires:	libxpm-devel
BuildRequires:	bison flex
BuildRequires:	imake
Source0:	ftp://ftp.x.org/contrib/widgets/Xaw3d/R6.3/%{upstream_name}-%{version}.tar.bz2
Patch1:		Xaw3d-1.3-glibc.patch
Patch2:		Xaw3d-1.5E-xorg-imake.patch
Url:            ftp://ftp.x.org/contrib/widgets/Xaw3d/
License:	MIT
Obsoletes:      Xaw3d

%description
Xaw3d is an enhanced version of the MIT Athena Widget set for
the X Window System.  Xaw3d adds a three-dimensional look to applications
with minimal or no source code changes.

You should install Xaw3d if you are using applications which incorporate
the MIT Athena widget set and you'd like to incorporate a 3D look into
those applications.


%package -n	%{libname}
Summary:	A version of the MIT Athena widget set for X
Group:		System/Libraries
Obsoletes:	%{name} Xaw3d
Obsoletes:      %{libname_old}

%description -n	%{libname}
Xaw3d is an enhanced version of the MIT Athena Widget set for
the X Window System.  Xaw3d adds a three-dimensional look to applications
with minimal or no source code changes.

You should install Xaw3d if you are using applications which incorporate
the MIT Athena widget set and you'd like to incorporate a 3D look into
those applications.


%package -n	%{develname}
Summary:	Header files and static libraries for development using Xaw3d
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel, %{libname_old}-devel
Obsoletes:      %{develname_old}
Provides:       %{upstream_name}-devel = %{version}-%{release}

%description -n	%{develname}
Xaw3d is an enhanced version of the MIT Athena widget set for
the X Window System.  Xaw3d adds a three-dimensional look to those
applications with minimal or no source code changes. Xaw3d-devel includes
the header files and static libraries for developing programs that take
full advantage of Xaw3d's features.

You should install Xaw3d-devel if you are going to develop applications
using the Xaw3d widget set.  You'll also need to install the Xaw3d
package.


%prep
%setup -q -c
cd xc/lib/Xaw3d
ln -s .. X11
%patch1 -p4
%patch2 -p0
 
%build
cd xc/lib/Xaw3d
xmkmf
# do not link with libXp
perl -pi -e 's|^(EXTRAXAWREQS =.*)|#$1|;' Makefile
%make CDEBUGFLAGS="%optflags" CXXDEBUGFLAGS="%optflags" SHLIBGLOBALSFLAGS="%ldflags"

%install
cd xc/lib/Xaw3d
%makeinstall_std

%files -n %{libname}
%_libdir/*.so.%{major}*

%files -n %{develname}
%_libdir/*.so
%{_includedir}/X11/Xaw3d


%changelog

* Mon Feb 20 2012 kamil <kamil> 1.5E-16.mga2
+ Revision: 211135
- start providing old virtual package Xaw3d-devel by the devel package

* Mon Feb 06 2012 kamil <kamil> 1.5E-15.mga2
+ Revision: 205223
- fix obsoleting Xaw3d

* Sun Jan 22 2012 kamil <kamil> 1.5E-14.mga2
+ Revision: 199566
- drop build for the Alpha architecture
- clean .spec
- rename .spec
- rename

* Tue Jan 11 2011 blino <blino> 1.5E-13.mga1
+ Revision: 5781
- remove old ldconfig scriptlets
- imported package Xaw3d

